Does EPACST work with R 3.2.2?

435 views
Skip to first unread message

Vladimir Kozyrev

unread,
Jan 20, 2016, 1:09:04 PM1/20/16
to EPACTS
Looks like R 3.2.2 is not supported by the latest version of EPACST (3.2.6).
I've tried to install EPACST with R 3.0.2 and it succeeded.

When I try to install it with R 3.2.2, it throws the following error during make install step:

g++ -shared -L/usr/local/lib64 -o epactsR.so Error.o PhredHelper.o adler32.o bedidx.o bgzf.o compress.o crc32.o deflate.o epacts.o gzclose.o gzlib.o gzread.o gzwrite.o index.o infback.o inffast.o inflate.o inftrees.o knetfile.o kstring.o trees.o uncompr.o zutil.o
make
[4]: Leaving directory `/tmp/Rtmpzrv97I/R.INSTALL503b52d62e6e/epactsR/src'
installing to /camhpc/pkg/epacts/3.2.6/centos6/lib/epactsR/libs
** help
No man pages found in package  ‘epactsR’
*** installing help indices
** building package indices
** testing if installed package can be loaded
Error in dyn.load(file, DLLpath = DLLpath, ...) :
  unable to load shared object '/camhpc/pkg/epacts/3.2.6/centos6/lib/epactsR/libs/epactsR.so':
  /camhpc/pkg/epacts/3.2.6/centos6/lib/epactsR/libs/epactsR.so: undefined symbol: __ks_insertsort_uint64_t
Error: loading failed
Execution halted
ERROR: loading failed
* removing ‘/camhpc/pkg/epacts/3.2.6/centos6/lib/epactsR’
make[3]: *** [install-exec-hook] Error 1
make[3]: Leaving directory `
/camhpc/pkg/src/epacts/3.2.6/EPACTS-3.2.6'
make[2]: *** [install-exec-am] Error 2
make[2]: Leaving directory `/camhpc/pkg/src/epacts/3.2.6/EPACTS-3.2.6'

make
[1]: *** [install-am] Error 2
make
[1]: Leaving directory `/camhpc/pkg/src/epacts/3.2.6/EPACTS-3.2.6'
make: *** [install-recursive] Error 1


Can anyone relate? Is there any way to overcome the problem?

Vladimir Kozyrev

unread,
Jan 21, 2016, 5:34:06 AM1/21/16
to EPACTS
Actually, the command that fails is the following:
R CMD INSTALL -l /epacts/installation/dir/lib/epactsR/libs /epacts/installation/dir/share/EPACTS/epactsR_3.3.1.tar.gz

Then, when R tries to load the shared library, it fails with

Error in dyn.load(file, DLLpath = DLLpath, ...) :

  unable to load shared
object '/camhpc/pkg/epacts/3.2.6/centos6/lib/epactsR/libs/epactsR/libs/epactsR.so':
 
/camhpc/pkg/epacts/3.2.6/centos6/lib/epactsR/libs/epactsR/libs/epactsR.so: undefined symbol: __ks_insertsort_uint64_t

I still don't have a clue why that happens.

Hyun Min Kang

unread,
Jan 28, 2016, 8:04:35 PM1/28/16
to EPACTS
This might be related to CentOS. We haven't had this problem in Ubuntu.

--
You received this message because you are subscribed to the Google Groups "EPACTS" group.
To unsubscribe from this group and stop receiving emails from it, send an email to epacts+un...@googlegroups.com.
To post to this group, send email to epa...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/epacts/563d4ece-08cc-4017-8ace-03302e079156%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Vladimir Kozyrev

unread,
Jan 29, 2016, 12:55:24 AM1/29/16
to EPACTS
OK, thanks. It seems to me that R 3.2.2 was compiled in a special way.
I've installed EPACTS using R 3.1.2, compiled it by myself.

пятница, 29 января 2016 г., 4:04:35 UTC+3 пользователь Hyun Min Kang написал:

Eric Deveaud

unread,
Sep 21, 2016, 10:04:57 AM9/21/16
to EPACTS, v.kozy...@gmail.com
Hello,

same problem here with EPACTS-3.2.6 on centos 6

R CMD INSTALL -l /local/gensoft2/exe/EPACTS/3.2.6/lib /local/gensoft2/exe/EPACTS/3.2.6/share/EPACTS/epactsR_3.3.1.tar.gz
ends with

** testing if installed package can be loaded
Error in dyn.load(file, DLLpath = DLLpath, ...) :
  unable to load shared object '/mount/gensoft2/exe/EPACTS/3.2.6/lib/epactsR/libs/epactsR.so':
  /mount/gensoft2/exe/EPACTS/3.2.6/lib/epactsR/libs/epactsR.so: undefined symbol: __ks_insertsort_uint64_t

Error: loading failed
Execution halted
ERROR: loading failed

compilation of the .so is OK,
bigmess:epactsR/src > g++ -shared -L/usr/local/lib64 -o epactsR.so Error.o PhredHelper.o adler32.o bedidx.o bgzf.o compress.o crc32.o deflate.o epacts.o gzclose.o gzlib.o gzread.o gzwrite.o index.o infback.o inffast.o inflate.o inftrees.o knetfile.o kstring.o trees.o uncompr.o zutil.o -L/local/gensoft2/exe/R/3.0.1/lib64/R/lib -lR
bigmess:epactsR/src > echo $?


problem arise when trying to load Rpackage.

I tested it with various version of R. (R/2.15.1 R/2.15.2 R/3.0.1  R/3.1.2  R/3.2.0  R/3.2.3  R/3.3.1)

any idea ?

maybee Vladimir can share his R compilation options in order to check ?


regards

Eric

re...@channing.harvard.edu

unread,
Feb 2, 2017, 3:34:19 PM2/2/17
to EPACTS, v.kozy...@gmail.com
I also have the same error in Ubuntu 16.10 and CentOS. Do anyone have updated solution for this?

Thanks,
Phuwanat

re...@channing.harvard.edu

unread,
Feb 2, 2017, 4:04:58 PM2/2/17
to EPACTS, v.kozy...@gmail.com
Hello,

I'm sorry for frequent posting. I just successfully installed EPACTS! I need to use R-3.2.2 instead of latest version of R. In case your default R environment is not fit, you can accomplish this by specify:

./configure --prefix /path/to/target LDFLAGS="-L/path/to/libR.so"
make

#Before do 'make install', you need to manually edit Makefile by edit target `install-exec-hook` to specify path to your R such as
install-exec-hook:
        mkdir
--p $(libdir)
        R CMD INSTALL
-l $(libdir) $(datadir)/${PACKAGE}/epactsR_3.3.1.tar.gz
        R CMD INSTALL
-l $(libdir) $(datadir)/${PACKAGE}/mmSKAT_0.95.tar.gz
#Change those to

install-exec-hook:
        mkdir
--p $(libdir)
        /path/to/R CMD INSTALL
-l $(libdir) $(datadir)/${PACKAGE}/epactsR_3.3.1.tar.gz
        /path/to/R CMD INSTALL
-l $(libdir) $(datadir)/${PACKAGE}/mmSKAT_0.95.tar.gz
#Then
make install

Hope this help!

Best,

Phuwanat


On Wednesday, January 20, 2016 at 1:09:04 PM UTC-5, Vladimir Kozyrev wrote:

hana lango allen

unread,
Feb 4, 2020, 11:03:09 AM2/4/20
to EPACTS
It's been 3 years now since this issue has been raised and I have just encountered the same issue trying to install the latest EPACTS version on SL7. I tried doing it with an older version of R, setting --prefix and LDFLAGS, changing the Makefile as suggested above, but I still get this error message on make install:

installing to /Programs/EPACTS/lib/epactsR/libs
** help
No man pages found in package  ‘epactsR’
*** installing help indices
** building package indices
** testing if installed package can be loaded
Error in dyn.load(file, DLLpath = DLLpath, ...) :
  unable to load shared object '/Programs/EPACTS/lib/epactsR/libs/epactsR.so':
  /Programs/EPACTS/lib/epactsR/libs/epactsR.so: undefined symbol: __ks_insertsort_uint64_t
Error: loading failed
Execution halted
ERROR: loading failed
* removing ‘/Programs/EPACTS/lib/epactsR’

So is there still an issue with certain Linux version, as suggested 3 years ago?

Hana


Reply all
Reply to author
Forward
0 new messages